<?php
require('startinclude.php');
for ($i=0;$i<30;$i++) {
	setcookie('estado_camara$i',''); // offline.
}

?>
<head>

	<script type='text/javascript' src='ajaxlib/utils/southprojects.js'></script>
	<script type='text/javascript' src='ajaxlib/spwin/src/window.js'></script>
	<script type='text/javascript' src='ajaxlib/spform/src/form.js'></script>	
	<script type='text/javascript' src='ajaxlib/utils/progress.js'></script>
	<script type='text/javascript' src='jscriptlib.js'></script>
	<script type='text/javascript' src='cookies.js'></script>
	<!-- usado para todos los rpc -->
	<script type='text/javascript' src='jscriptrpc.js'></script>
	<!-- usado solo para esta ventana -->
	<script type='text/javascript' src='jscriptwin.js'></script>
	
	<!-- ALL demos need these css -->
	<link href="ajaxlib/spwin/themes/silverxp.css" rel="stylesheet" type="text/css">
	<link href="ajaxlib/spwin/themes/winxp.css" rel="stylesheet" type="text/css">
	<link href="ajaxlib/spwin/themes/redxp.css" rel="stylesheet" type="text/css">
	<link href="ajaxlib/spwin/themes/greyxp.css" rel="stylesheet" type="text/css">

	<script src="ajaxlib/genmove.js" type="text/javascript"></script>


<link href="style.css" rel="stylesheet" type="text/css">


<script type="text/javascript">

var imarco; //usado para el rpc






function showespere() {
	//loader.start('espere..');
	//setTimeout("loader.stop();", 4000);
}
function showespere2() {
//	loader.start('espere..');
	//setTimeout("loader.stop();", 4000);
}

function ocultarespere() {
	//loader.stop();
	inicio_ciclo();
}	
	
	
</script>
	<!-- Custom includes -->	
	<style type="text/css">
body {margin:0px;}

.bg_image {
/*	width: 100%;
	height: 100%;*/

	left: 0px;
	top: 0px;
	position: absolute;
	z-index: 0;
}

.bg_text {
/*	width: 100%;
	height: 100%;*/
	left: 0px;
	top: 0px;
	position: absolute;
	z-index: 1;
}

.caming_texto {
	font-family:  Tahoma,Verdana, Helvetica;
	font-size:9px;
}

#contents {
z-index: 1;
position: absolute;
}
</style>

	



<?php

function leer_ventanas($pantalla,$usuario) {
	global $totalcamaras;
	global $camaras;
	global $win;
	//global $winconf;
	$sql="select * from pf_window a,pf_camara b ";
	$sql.="where a.id_camara=b.id_camara ";
	$sql.="and pantalla=$pantalla and id_usuario=$usuario ";
	$sql.="order by a.id_camara ";
	$filas=0;
	$resultado="";
	ejecutarsql($sql,&$filas,&$resultado);	
	$numcamaras=$filas;
	if ($totalcamaras!=$numcamaras) {
		// si no existe o esta mal formado entonces lo reconstruye..
		$px=15;
		$py=55;
		$numcamaras=$totalcamaras;
		for ($i=0;$i<$numcamaras;$i++) {
			$win[$i]["x"]=$px;	
			$win[$i]["y"]=$py;	
			$win[$i]["w"]=200;	
			$win[$i]["h"]=100;	
			$win[$i]["status"]=0;	
			$win[$i]["titulo"]=$camaras[$i]["nombre_camara"];
			$win[$i]["id"]=$camaras[$i]["id_camara"];
			$win[$i]["tipo"]=$camaras[$i]["tipo_camara"];
			$px+=20;
			$py+=20;			
		}
		/*$numcamaras++;
		$winconf=$numcamaras;
		$win[$numcamaras]["x"]=$px;	
		$win[$numcamaras]["y"]=$py;	
		$win[$numcamaras]["w"]=200;	
		$win[$numcamaras]["h"]=100;	
		$win[$numcamaras]["status"]=0;	
		$win[$numcamaras]["titulo"]="CONFIGURACION";
		$win[$numcamaras]["id"]="-1";		
		$win[$numcamaras]["tipo"]="CONF";		*/
		
		} else {
		for ($i=0;$i<$numcamaras;$i++) {
			$win[$i]["x"]=mssql_result($resultado,$i, "x");	
			$win[$i]["y"]=mssql_result($resultado,$i, "y");	
			$win[$i]["w"]=mssql_result($resultado,$i, "w");	
			$win[$i]["h"]=mssql_result($resultado,$i, "h");	
			$win[$i]["titulo"]=mssql_result($resultado,$i, "nombre_camara");
			$win[$i]["status"]=mssql_result($resultado,$i, "status");	
			$win[$i]["id"]=mssql_result($resultado,$i, "id_camara");	
			$win[$i]["tipo"]=mssql_result($resultado,$i, "tipo_camara");	
			//if ($win[$i]["tipo"]=="CONF") { $winconf=$i; }
			
		}	
	}
	
}

function ventana($numero,$x,$y,$w,$h,$titulo,$tipo=0,$ultimo=0) {
		global $nsensores,$sensorm,$sensort;
		$tmp= "<script type='text/javascript'>\n";
		$tmp.= "numventanas=numventanas+1;\n";
		$tmp.= "win[$numero] = southprojects.Window.setup({\n";
		$tmp.= "	left:$x, \n";
		$tmp.= "	top:$y, 			\n";
		$tmp.= "	width:$w, \n";
		$tmp.= "	height:$h, 			\n";				
		$tmp.= "	canResize:true,\n";
		$tmp.= "	theme:'greyxp',\n";
		//$tmp.= "  onClose:onoculta,\n";
		$tmp.= "	title:'$titulo',\n";
		$tmp.= "	valor:$numero,\n";
		$tmp.= "	hideOnClose:true,\n";
		
		//$tmp.= "	showCloseButton:false,\n";
		
		$tmp.= "	raiseOnlyOnTitle:false, \n";
		
		$contenido= "<table border='1' width='100%'>";
		$contenido.= "<tr>";
		$contenido.= "    <td width='87'  >Temp Min</td>";
		$contenido.= "    <td width='87' id='cel1_$numero'>44.4</td>";
		$contenido.= "</tr><tr>";
		$contenido.= "    <td width='87'>Temp Max</td>";
		$contenido.= "    <td width='87' id='cel2_$numero'>55.5</td>";
		$contenido.= "</tr><tr>";
		$contenido.= "    <td width='87'>Status</td>";
		$contenido.= "    <td width='87' id='cel3_$numero'>&nbsp;</td>";
		$contenido.= "</tr>";
		$contenido.= "<tr>";
		$contenido.= "</tr>";		
		$contenido.= "<tr>";

		
		$tmp.=" iframeContent : false, \n";
		
		
		$tmp.= "	content : \"<iframe id='iventana$numero' class='spWinContent' scrolling='no' src='win_menu.php?camara=".$numero."&ultimo=".$ultimo."&rrr=".mt_rand()."' width=100% height=100%>\" \n";
		
		$tmp.= "});\n";
		//$tmp.="win[$numero].minimize();";
		$tmp.= "</script>\n";
	return $tmp;
}

// inicio...

$pantalla=0;
$usuario=0;
$boton=parametro("boton","");
$numcamaras=parametro("numcamaras","0");
if ($boton=='Guardar Valor' || $boton=='Alinear Ventanas' || $boton=='Ventanas en Cascada') {
		for ($i=0;$i<$numcamaras;$i++) {
			$win[$i]["id"]=parametro("wid_$i","0");
			$win[$i]["x"]=parametro("wx_$i","0");
			$win[$i]["y"]=parametro("wy_$i","0");
			$win[$i]["w"]=parametro("ww_$i","0");
			$win[$i]["h"]=parametro("wh_$i","0");
			$win[$i]["status"]=parametro("ws_$i","0");		
			$datos=array($win[$i]["id"],$win[$i]["x"],$win[$i]["y"],$win[$i]["w"]
				,$win[$i]["h"],$win[$i]["status"],$pantalla,$usuario,'*RESULTADO*');
			$nc=array('id_camara','x','y','w','h','status','pantalla','id_usuario','resultado');
			$tc=array('int','int','int','int','int','int','int','int','output');
			ejecutarprocedimiento('Modificar_window',$datos,$nc,$tc);
		}
}

$totalcamaras=0;

$camaras_actual=array();
$camaras=array();
leer_camaras($camaras);
leer_sesion($camaras_actual);
$totalcamaras=count($camaras);

//$winconf=0;
$win=array();

leer_ventanas($pantalla,$usuario);



/*
for ($i=0;$i<count($win);$i++) {
	$ultimo=($i==count($win)-1)?1:0;
	echo ventana($i,$win[$i]["x"],$win[$i]["y"],$win[$i]["w"]
			,$win[$i]["h"],$win[$i]["titulo"],$win[$i]["status"],$ultimo);
}
*/






//echo ventana(2,150,230,100,100,'titulo2',0);
?>



</head>
<!--
<body>
-->

<BODY  onload="javascript:showespere2();" background='images/fondo.jpg'>
<script type="text/javascript">
showespere();
//inicio_ciclo();
</script>


<table width="100%" background="images/ribon.jpg" height="226" cellpadding="0" cellspacing="0" border='0'>
    <tr>
        <td width="131"><img src="images/ats.jpg" width="202" height="226" border="0"></td>
        <td width="90%">&nbsp;</td>
        <td width="676"><img src="images/company.jpg" width="676" height="226" border="0"></td>
    </tr>
</table>
<form name="formpanel" id='formpanel'>
<div class="spformContent">
	<?php
		echo "<input type='hidden' id='numcamaras' name='numcamaras' value='$totalcamaras'>\n";
		for ($i=0;$i<$totalcamaras;$i++) {
			
			echo "<input type='hidden' id='wx_$i' name='wx_$i' value='".$win[$i]["x"]."'>\n";
			echo "<input type='hidden' id='wy_$i' name='wy_$i' value='".$win[$i]["y"]."'>\n";
			echo "<input type='hidden' id='ww_$i' name='ww_$i' value='".$win[$i]["w"]."'>\n";
			echo "<input type='hidden' id='wh_$i' name='wh_$i' value='".$win[$i]["h"]."'>\n";
			echo "<input type='hidden' id='ws$i' name='ws_$i' value='".$win[$i]["status"]."'>\n";
			echo "<input type='hidden' id='wid_0$i' name='wid_$i' value='".$win[$i]["id"]."'>\n";
			
		}
		?>
</div>	
<div class="spformButtons2">
    <input type="submit" name="boton" value="Guardar Valor" onclick='guardarvalores()' class="button"> 
		&nbsp;<input type="submit" name="boton" value="Alinear Ventanas" onclick='alinearvalores()' class="button"> 
		&nbsp;<input type="submit" name="boton" value="Ventanas en Cascada" onclick='cascadavalores()' class="button"> 
		</div>

</form>
<div id="transportdiv" name='transportdiv' style="border-width:0px; border-color:rgb(0,0,0); border-style:none; display: none;"></div>            
	





<!-- this puts the contents of the page ontop of the background image -->
<div id="contents"> </div> 	
	

<?php

function camimg($arr,$num) {
	// dibujar cuadrados de ventana que estan en el fondo.
	$nombreimg="";
	switch (trim($arr["estado_actual"])) {
		case "V": // VALIDO.
			$nombreimg="blanca".$arr["posicion_puerta"].".jpg";
			break;
		case "N": // NO HABILITADO
			$nombreimg="gris".$arr["posicion_puerta"].".jpg";
			break;
		case "P": // PROCESO
			$nombreimg="roja".$arr["posicion_puerta"].".jpg";
			break;
		
	}
	
	$tmp= "<div id='bg_image' border=1 class='bg_image' style='left:".$arr["x"]."; top:".$arr["y"].";' onclick='javascript: win[$num].show(); win[$num].restore();' onmouseover=\"this.style.cursor='pointer'\" onmouseout=\"this.style.cursor='default'\"> \n";
	$tmp.= "<img id='caming_image$num' src='images/camaras/$nombreimg' style=' width: ".$arr["w"]."; height: ".$arr["h"].";'> \n";
	$tmp.= "</div>\n";	
	$tmp.= "<div id='bg_image' class='bg_text' onclick='javascript: win[$num].show(); win[$num].restore();' onmouseover=\"this.style.cursor='pointer'\" onmouseout=\"this.style.cursor='default'\"";
	$tmp.= " style='left:".$arr["x"]."; top:".$arr["y"]."; width:".$arr["w"]."; height:".$arr["h"]."; '> \n";
	$tmp.= "<p></p>\n";
	$tmp.= "<p align='center' id='caming_titulo$num'>--</p>\n";
	$tmp.= "<p align='center'><table width=80% class='caming_texto'>\n";
	$tmp.= "<tr><td>Minima:</td><td id='caming_minima$num'>--</td></tr>\n";
	$tmp.= "<tr><td>Maxima:</td><td id='caming_maxima$num'>--</td></tr>\n";
	$tmp.= "</table>\n";
	$tmp.= "</p>\n";
	$tmp.= "</div>\n";
	return ($tmp);
}





for ($i=0;$i<count($camaras);$i++) {
	echo camimg($camaras[$i],$i);
}

$t=array();
$maxima=0;
$minima=0;
$estado=0;
$nombre_sensor=array();
$estado_actual=array();

jsinicio();
echo "function prueba() {";




for ($i=0;$i<$totalcamaras;$i++) {
	// $estado_actual[$i]=$_COOKIE["ea".$i];
	echo "alert(document.getElementById('iventana0').contentWindow.document.getElementById('iframe2'));";
	echo "document.getElementById('iventana0').contentWindow.document.getElementById('iframe2').contentWindow.document.getElementById('celmin0').innerHTML='aaaaa';\n";
	//leer_temperatura(&$t,$i,&$maxima,&$minima,&$estado,&$nombre_sensor);
	

	
/*	switch ($estado_actual[$i]) {
		case 'normal':
			leer_temperatura(&$t,$i,&$maxima,&$minima,&$estado,&$nombre_sensor);
			$ifrm='iventana'.$i;
			jiframe($ifrm,'celmin'.$i,"'$minima'");
			jiframe($ifrm,'celmax'.$i,"'$maxima'");
			jiframe($ifrm,'celestado'.$i,"'$a_estado[$estado]'");	
			break;
	}
	*/
}
echo "};";
jsfin();

$tabla=array();

//leer_estados_historicos(&$tabla,0,1);



?>
<div id='pruebacontenido'> </div>
<script type="text/javascript">
//ocultarespere();
//alert("fin");
//inicio_ciclo();
</script>
</body>